Support » Requests and Feedback » WP 2.8 jQuery error

WP 2.8 jQuery error

Viewing 9 replies - 1 through 9 (of 9 total)
  • Me too in widget panel.

    # Operating System : Linux Fedora 11
    # Server : Apache/2.2.11 (Fedora)
    # MYSQL Version : 5.1.32
    # PHP Version : 5.2.9

    Mozilla report this error…


    Error: jQuery is not defined
    Línea: 6

    Error: $(“#rssicon_link_color_colorpicker”).farbtastic is not a function
    Línea: 1579

    Have the same like of error only at an other place.

    If I create a new post I get :

    A script on this page may be busy, or it may have stopped responding.
    You can stop the script now, or you can continue to see if the script will complete.

    Script: http://<domain>/wp-admin/load-scripts.php?c=1&load=jquery,utils,quicktags&ver=b64ae9a301a545332f1fcd4c6c5351b4:19

    I have 613 tags ….

    Also getting this;

    Error: jQuery is not defined
    Source File: http://domain/wp-admin/load-scripts.php?c=0&load=utils,editor&ver=hashremoved
    Line: 2

    Error: switchEditors is undefined
    Source File: http://domain/wp-content/plugins/syntaxhighlighter/syntaxhighlighter_mce.js?ver=3241-1141-syntaxhighlighter2.1.0
    Line: 97

    When doing anything on edit/post etc I can’t switch to HTML view.

    Edit: CDN Tool’s was causing it for me, disabled that and it started working.

    Seems like “Visitor Like/Dislike Post Rating” plugin was the culprit in my case. Disabling that plugin has fixed my WYSIWYG editor and the jQuery javascript error is gone.

    Although, I did firstly try replacing wp-admin and wp-includes directories to no avail. I don’t think that contributed to the fix.

    my wordpress crashed with the same error.
    I’m using a theme with jquery.js, and wordpress skip loading it’s own jquery when invoking load-scripts.php.
    But, js import code of the theme is after load-scripts.php, so ‘jQuery is not defined’, i can’t post anything!

    WordPress 2.8 includes a concatenation of scripts and CSS. This puts the quality of these scripts at a higher level than before.

    The temporary solution is to place it in the wp-config.php one of these two values :
    define(‘CONCATENATE_SCRIPTS’, false );
    define(‘SCRIPT_DEBUG’, true);

    I also invite you to read the header of wp-includes\script-loader.php




    Thanks very much indeed for the info. But we should say that it needs to be put at the very start before the user details to work.

    It took some doing to work out. I am currently debugging this issue at the core level but as you say ‘ A temporary solution ‘ and thats fine thus far.

    Heirem, my hero <3

    could you please elaborate as to why that does make things work?

    Heirem thanks! That worked.. but is there a “permanent solution”?

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘WP 2.8 jQuery error’ is closed to new replies.